Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 16 May 2021 02:29:19 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Order 9661266118 
I did not get the buy 2 get 1 free promotion on the aforesaid order.

Please check and advise.

When I called the call centre she advised me that I should have taken quantity as 3 to avail the same.

But it does not make sense it way that we have taken the items in the same promotion only. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2581314